| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::RGBackend Class Referenceabstract

This class is a base class for Open Street Map and Geonames backends.

Inheritance diagram for Digikam::RGBackend:

## Signals
void | signalRGReady (const QList< RGInfo > &)
| Emitted whenever some items are ready.

## Public Member Functions
| RGBackend (QObject *const parent)
| Constructor.
virtual QString | backendName ()
virtual void | callRGBackend (const QList< RGInfo > &, const QString &)=0
virtual void | cancelRequests ()=0
virtual QString | getErrorMessage ()

## Member Function Documentation

## ◆ backendName()

QString Digikam::RGBackend::backendName | ( |  | ) |
| virtual

Reimplemented in Digikam::BackendGeonamesRG, Digikam::BackendGeonamesUSRG, and Digikam::BackendOsmRG.

## ◆ callRGBackend()

virtual void Digikam::RGBackend::callRGBackend | ( | const QList< RGInfo > & | ,
|  | const QString & |
| ) |  |
| pure virtual

Implemented in Digikam::BackendGeonamesRG, Digikam::BackendGeonamesUSRG, and Digikam::BackendOsmRG.

## ◆ getErrorMessage()

QString Digikam::RGBackend::getErrorMessage | ( |  | ) |
| virtual

Reimplemented in Digikam::BackendGeonamesRG, Digikam::BackendGeonamesUSRG, and Digikam::BackendOsmRG.